function WidgetsMetaData() {
    this.getExpiredSession = function() {
        return {
            "name": "EXPIRED_SESSION",
            "label": "Sessão Expirada",
            "isVisible": true,
            "showDescriptionOrder": false,
            "showAsModal": true,
            "template": "widget/form.html",
            "tekLibExpiredSession": true,
            "actions": [
                {
                    "name": "CONFIRM",
                    "label": "Confirmar",
                    "showAsAction": "never",
                    "events": [
                        {
                            "name": "ActionEvent",
                            "code": "LibLoginController.expiredSessionActionEventConfirm(args)"
                        }
                    ]
                },
                {
                    "name": "CANCEL",
                    "label": "Sair",
                    "showAsAction": "back",
                    "events": [
                        {
                            "name": "ActionEvent",
                            "code": "LibLoginController.expiredSessionActionEventCancel()"
                        }
                    ]
                }
            ],
            "events": [],
            "dataSource": [],
            "fields": [
                {
                    "name": "OPERATOR",
                    "label": "Usuário",
                    "template": "field/text-edit.html",
                    "class": 12,
                    "readOnly": true,
                    "isVisible": true,
                    "showOnList": true,
                    "showOnForm": true
                },
                {
                    "name": "PASSWORD",
                    "label": "Senha",
                    "template": "field/password.html",
                    "class": 12,
                    "focused": true,
                    "validations":{
                        required: true
                    },
                    "isVisible": true,
                    "showOnList": true,
                    "showOnForm": true,
                    "events":[
                        {
                            "name": "FieldOnKeyup",
                            "code": "LibLoginController.expiredSessionFieldOnKeyupPassword(args)"
                        }
                    ]
                }
            ]
        };
    };

    this.getPageViewNotice = function() {
        return {
            "name": "PAGEVIEWNOTICE",
            "label": "",
            "template": "widget/form.html",
            "showDescriptionOrder": false,
            "showAsModal": false,
            "popupFullScreen": true,
            "isVisible": true,
            "actions": [
                {
                    "name": "close",
                    "label": "Fechar",
                    "isVisible": true,
                    "hideIcon": true,
                    "showAsAction": "back",
                    "events": [
                        {
                            "id": "363705655463155833317",
                            "name": "ActionEvent",
                            "code": "LibLoginController.pageViewNoticeActionEventCancel()"
                        }
                    ]
                }
            ],
            "events": [],
            "dataSource": {},
            "fields": [
                {
                    "id": "13464068121582746262789",
                    "name": "PDF",
                    "label": "",
                    "class": 12,
                    "template": "field/textarea.html",
                    "readOnly": true,
                    "isVisible": true,
                    "showOnList": false,
                    "showOnView": true,
                    "showOnForm": true,
                    "toolbar": {
                        "undo": false,
                        "redo": false,
                        "bold": false,
                        "italic": false,
                        "underline": false,
                        "superscript": false,
                        "subscript": false,
                        "strikethrough": false,
                        "clear": false,
                        "fontname": false,
                        "fontsize": false,
                        "color": false,
                        "ul": false,
                        "ol": false,
                        "paragraph": false,
                        "lineheight": false,
                        "table": false,
                        "picture": false,
                        "codeview": false
                    }
                }
            ]
        };
    };
}

Configuration(function(ContextRegister) {
    ContextRegister.register('WidgetsMetaData', WidgetsMetaData);
});
